Index Page det_c
A B C D E F G H I J K L M N O P Q R S T U V W X
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       SpiceDouble det_c ( ConstSpiceDouble m1[3][3] )
#### Abstract
        Compute the determinant of a double precision 3x3 matrix.
#### Required_Reading
       None.
#### Keywords
        MATRIX,  MATH
#### Brief_I/O
       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       m1         I     Matrix whose determinant is to be found.
#### Detailed_Input
       m1      This variable may be any double precision, 3x3 matrix.
#### Detailed_Output
       det_c   This is the value of the determinant found by direct
               application of the definition of the determinant.
#### Parameters
       None.
#### Exceptions
       Error free.
#### Files
       None.
#### Particulars
       det_c calculates the determinant of m1 in a single arithmetic
       expression which is, effectively, the expansion of m1 about its
       first row.  Since the calculation of the determinant involves
       the multiplication of numbers whose magnitudes are unrestricted,
       there is the possibility of floating point overflow or underflow.
       NO error checking or recovery is implemented in this routine.
#### Examples
              | 1  2  3 |
         M1 = | 4  5  6 |   ---->   det_c(m1) = 0
              | 7  8  9 |

              | 1  2  3 |
         M1 = | 0  5  6 |   ---->   det_c(m1) = 45
              | 0  0  9 |
#### Restrictions
       No checking is implemented to determine whether M1 will cause
       overflow or underflow in the process of calculating the
       determinant.  In most cases, this will not pose a problem.
       The user is required to determine if M1 is suitable matrix
       for det_c to operate on.
#### Literature_References
       None
#### Author_and_Institution
       N.J. Bachman    (JPL)
       W.M. Owen       (JPL)
#### Version
       -CSPICE Version 1.0.0, 21-OCT-1998 (NJB)
#### Index_Entries
       determinant of a d.p. 3x3_matrix
#### Link to routine det_c source file det_c.c

    Wed Jun  9 13:05:21 2010